Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 591715

Summary: sssd should emit warnings if there are problems with /etc/krb5.keytab file
Product: Red Hat Enterprise Linux 6 Reporter: Dmitri Pal <dpal>
Component: sssdAssignee: Stephen Gallagher <sgallagh>
Status: CLOSED CURRENTRELEASE QA Contact: Chandrasekar Kannan <ckannan>
Severity: medium Docs Contact:
Priority: low    
Version: 6.0CC: benl, jgalipea, jhrozek, sbose, sgallagh, ssorce, stjepan.gros, tmraz
Target Milestone: rc   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: sssd-1.2.1-20.el6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 591677 Environment:
Last Closed: 2010-11-10 21:39:40 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 591677    
Bug Blocks:    

Description Dmitri Pal 2010-05-12 21:28:34 UTC
+++ This bug was initially created as a clone of Bug #591677 +++

Description of problem:
I think that when sssd searches for krb5.keytab, and doesn't find it,
for whatever reason can not read it, or can not find appropriate data
(exact host principal) it should at least emit some warning. 

Version-Release number of selected component (if applicable):
sssd-1.1.1-3.fc12.x86_64

How reproducible:
Any error in keytab file, including if it's missing, will trigger this behavior.

Steps to Reproduce:
1. Configure sssd to use FreeIPA as authentication server, but remove keytab file
2. Start sssd, it doesn't report any problems with keytab.
  
Actual results:
sssd doesn't work correcty and there is no indication why.

Expected results:
There should be indication in syslog.

Comment 1 RHEL Product and Program Management 2010-05-12 21:59:48 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 4 RHEL Product and Program Management 2010-07-01 18:23:07 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 6 Jenny Galipeau 2010-08-24 18:01:09 UTC
verified:

With keytab missing ... /var/log/messages 

Aug 24 13:54:06 jennyv2 [sssd[ldap_child[2162]]]: Failed to initialize credentials using keytab [(null)]: Decrypt integrity check failed. Unable to create GSSAPI-encrypted LDAP connection

version:

sssd-1.2.1-27.el6.i686

ipa-client-2.0-9.el6.i686

Comment 7 releng-rhel@redhat.com 2010-11-10 21:39:40 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.